<?php
function connectDB() {
	//Enter your own database connectivity information here.
	$servername = "server";
	$username = "username";
	$password = "password";
	$db = "database";

	// Create connection
	$conn = new mysqli($servername, $username, $password, $db);

	// Check connection
	if ($conn->connect_error) {
    	die("Database connection failed: " . $conn->connect_error);
	} 
	return $conn;
}// end connectDB		

function closeDB ($conn) {
	$conn->close();
}// end function closedb

function get_teams_list($conn, $sortBy) {
	//Fetch the list of teams from the database, use ORDER BY. 
	//Return a list of associative arrays (dict) of team info.
}// end function get_teams_list

function get_team_info($conn, $teamID) {
	//Fetch team data from database.
	//Return an associative array
}// end function get_team_info

function get_team_players($conn, $teamID) {
	//Fetch the players for a team
	//Return a list of name and ID for each player
}// end function get_team_players

function get_team_coaches($conn, $teamID) {
	//Fetch the coaches for a team
	//Return a list of name and ID for each coach
}// end function get_team_coaches

function get_player_info($conn, $playerID){
	//fetch player data from database. Don't forget former teams, aliases and positions.
	//Return an associative array
}// end function get_player_info

function get_coach_info($conn, $coachID){
	//fetch coach data from database. Don't forget colleges.
	//Return an associative array
}// end function get_coach_info

//------------------------------------------------------------------------------------
//Funktioner för del D

function add_user($conn, $userInfo) {
	//add a user into the database. Assume data is validated but check for unique name and email.
	//return something that means the user was added or not.
}// end function add_user

function add_player($conn, $team, $playerInfo, $user) {
	//add a player into the database. Assume data is validated and don't forget to add which team the player plays in.
	//return something that means the player was added or not.
}//end function add_player

function update_player($conn, $playerInfo) {
	//update a player in the database. Assume data is validated.
	//return something that means the player was updated or not.
}//end function update player

?>
